<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.6) on Thu Feb 20 09:43:17 CET 2020 -->
<title>cern.dip Class Hierarchy (DIP :: Java Native Interface Library 5.7.0 API)</title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta name="dc.created" content="2020-02-20">
<link rel="stylesheet" type="text/css" href="../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../script.js"></script>
<script type="text/javascript" src="../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="cern.dip Class Hierarchy (DIP :: Java Native Interface Library 5.7.0 API)";
        }
    }
    catch(err) {
    }
//-->
var pathtoroot = "../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li>Use</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-all.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="header">
<h1 class="title">Hierarchy For Package cern.dip</h1>
<span class="packageHierarchyLabel">Package Hierarchies:</span>
<ul class="horizontal">
<li><a href="../../overview-tree.html">All Packages</a></li>
</ul>
</div>
<div class="contentContainer">
<section role="region">
<h2 title="Class Hierarchy">Class Hierarchy</h2>
<ul>
<li class="circle">java.lang.Object
<ul>
<li class="circle">cern.dip.<a href="Dip.html" title="class in cern.dip"><span class="typeNameLink">Dip</span></a></li>
<li class="circle">cern.dip.<a href="DipDataUtil.html" title="class in cern.dip"><span class="typeNameLink">DipDataUtil</span></a></li>
<li class="circle">cern.dip.<a href="DipSubscriptionListenerAdapter.html" title="class in cern.dip"><span class="typeNameLink">DipSubscriptionListenerAdapter</span></a> (implements cern.dip.<a href="DipSubscriptionListener.html" title="interface in cern.dip">DipSubscriptionListener</a>)</li>
<li class="circle">cern.dip.<a href="DipTimestamp.html" title="class in cern.dip"><span class="typeNameLink">DipTimestamp</span></a> (implements java.io.Serializable)</li>
<li class="circle">java.lang.Throwable (implements java.io.Serializable)
<ul>
<li class="circle">java.lang.Error
<ul>
<li class="circle">cern.dip.<a href="DipInternalError.html" title="class in cern.dip"><span class="typeNameLink">DipInternalError</span></a></li>
</ul>
</li>
<li class="circle">java.lang.Exception
<ul>
<li class="circle">cern.dip.<a href="DipException.html" title="class in cern.dip"><span class="typeNameLink">DipException</span></a>
<ul>
<li class="circle">cern.dip.<a href="BadParameter.html" title="class in cern.dip"><span class="typeNameLink">BadParameter</span></a></li>
<li class="circle">cern.dip.<a href="TypeMismatch.html" title="class in cern.dip"><span class="typeNameLink">TypeMismatch</span></a></li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</section>
<section role="region">
<h2 title="Interface Hierarchy">Interface Hierarchy</h2>
<ul>
<li class="circle">cern.dip.<a href="DipBrowser.html" title="interface in cern.dip"><span class="typeNameLink">DipBrowser</span></a></li>
<li class="circle">cern.dip.<a href="DipFactory.html" title="interface in cern.dip"><span class="typeNameLink">DipFactory</span></a></li>
<li class="circle">cern.dip.<a href="DipPublication.html" title="interface in cern.dip"><span class="typeNameLink">DipPublication</span></a></li>
<li class="circle">cern.dip.<a href="DipPublicationErrorHandler.html" title="interface in cern.dip"><span class="typeNameLink">DipPublicationErrorHandler</span></a></li>
<li class="circle">cern.dip.<a href="DipQuality.html" title="interface in cern.dip"><span class="typeNameLink">DipQuality</span></a></li>
<li class="circle">cern.dip.<a href="DipSubscription.html" title="interface in cern.dip"><span class="typeNameLink">DipSubscription</span></a></li>
<li class="circle">cern.dip.<a href="DipSubscriptionListener.html" title="interface in cern.dip"><span class="typeNameLink">DipSubscriptionListener</span></a></li>
<li class="circle">cern.dip.<a href="DipUpdateRequestListener.html" title="interface in cern.dip"><span class="typeNameLink">DipUpdateRequestListener</span></a></li>
<li class="circle">java.io.Serializable
<ul>
<li class="circle">cern.dip.<a href="DipData.html" title="interface in cern.dip"><span class="typeNameLink">DipData</span></a></li>
</ul>
</li>
</ul>
</section>
<section role="region">
<h2 title="Enum Hierarchy">Enum Hierarchy</h2>
<ul>
<li class="circle">java.lang.Object
<ul>
<li class="circle">java.lang.Enum&lt;E&gt; (implements java.lang.Comparable&lt;T&gt;, java.io.Serializable)
<ul>
<li class="circle">cern.dip.<a href="DipQualityEnum.html" title="enum in cern.dip"><span class="typeNameLink">DipQualityEnum</span></a></li>
</ul>
</li>
</ul>
</li>
</ul>
</section>
</div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li>Use</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-all.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
<p class="legalCopy"><small>Copyright &#169; 2008&#x2013;2020 <a href="http://www.cern.ch/">CERN</a>. All rights reserved.</small></p>
</footer>
</body>
</html>
